•   
  • 1
  • 123
  • 124
  • 125(current)
  • 126
  • 127
  • 129
  •   
Release Embuary Skin
hi sualfred, i live in a tropical country so i love the snow effect (holiday time) so much.
can you tell me how to enable it all of time (by edit xml file or something same) ?
thank you so much
Reply
@sualfred 

I use 2 different Kodi setups on 2 different TVs. One is Embuary, and the other is Arctic Zephyr. I have different types of widgets set up on AZ, but I would also like the Next Up Episodes Embycon node as one of the widgets on AZ from the Embuary skin... is there a way I can do that?

(the reason I want to do this is, is that the Next episodes widgets dont refresh fast enough on any other Kodi skin, but on Embuary is almost instantaneous). Thanks for any help in advance!
Reply
Has anyone upgraded from Kodi 18.9 to Kodi 19.0 that was running Embuary? Did it allow you to keep Embuary or put you back to a default skin?

I have been running 19.0 beta and RC's for a while now but have been missing Embuary and would love to be able to use it again.

Going back to 18.9, installing Embuary and then upgrading would be an option if that worked or I guess I could try the repository again to see if anything has changed.
Reply
Tempory fix to get this skin running in Matrix is to manually edit the addon.xml and bump the xbmc gui version to 5.15.0. There were no important changes which could affect this skin. Will take care of it as soon as I find time.
Main: Lancool II Mesh  - Ryzen 9 5900x - MSI x570 Unify - Zotac RTX 3080 AMP HOLO - 32GB Trident Z Neo 3600 CL16 -  EVO 960 M.2 250GB / EVO 940 250GB / MX100 512GB /  Crucial P1 2TB / WD Blue 3D Nand 2TB 
Sound: Saxx AS30 DSP - Beyer Dynamic Custom One Pro 
TV: Nvidia Shield 2019 Pro- Adalight 114x LEDs - Sony 65XG9505 - Kodi / Emby - Yamaha RX-V683 - Heco Victa 700/101/251a + Dynavoice Magic FX-4
Server: i3 Skylake - 8GB - OMV4 - 22TB Storage
Reply
(2017-08-19, 09:14)sualfred Wrote: Embuary skin

The skin is mainly targeted to Emby users (like me), who likes the simplicity of the WebGUI interface of Emby.

Demonstration video


Screenshots
watch gallery


Special features
  • Fully integrated automatically detection of Emby nodes and multiple library setups
  • Complete native integration of EmbyCon

Supported Kodi versions
  • Krypton (discontinued, but still available at my and the Emby repo)
  • Leia

Will there be a Kodi 19 Matrix version?
Yes, but Kodi 19 won't be supported until the very last Alpha stages. So don't expect a supported version in the next 12 months.
Matrix is going to have a big overhaul that will affect all addons and especially the ones that Embuary requires. Nearly everything is going to break and some of them are already broken. Dependencies have to be reworked by the devs and some of them even have to find new maintainers because they won't be actively maintained by someone since months. 
Leia already took a longer timer until it was released. Longer as usual. And I think Matrix also will need this amount of time until everything is ready. 


Where to get it?

The most recent version is always available on my personal and the Emby repo.
How to support me and the skin?
  • Help to translate the skin into your language!
    If you want to translate the skin to any other language, please check this link:
    Translate on TransiFex

  • Donations
    Free beer or money for the tip jar of my daughter is welcome and helps me to stay motivated Smile
    Please click here to donate

Requirements
Code:
        <import addon="script.embuary.helper" version="1.2.20"/>
        <import addon="script.embuary.info" version="1.0.10"/>
        <import addon="resource.uisounds.embuary" version="0.0.4"/>
        <import addon="plugin.program.autocompletion" version="1.0.1"/>
        <import addon="script.skinshortcuts" version="1.0.17"/>

Terms of use 
With the installation of the skin you agree that you don't use it in combination with blacklisted and illegal Kodi add-ons. I'm not associated with any available build and I don't give any support for it.
Is there a way to display discart when browsing movies and when pausing movies in the osd
Reply
(2021-02-24, 09:30)sualfred Wrote: Tempory fix to get this skin running in Matrix is to manually edit the addon.xml and bump the xbmc gui version to 5.15.0. There were no important changes which could affect this skin. Will take care of it as soon as I find time.

Hey, I appreciate your response on this. Great to hear - thanks - and I hope you're able to find the time soon'ish. This was my skin of choice until Matrix, and I run KODI on an NVidia Shield with no idea how to get under the hood to make such an edit.
Reply
(2021-02-25, 03:31)Punchbuggy Wrote: no idea how to get under the hood to make such an edit.

  1. Download the skin from github to a PC
  2. Extract the zip file
  3. Alter the Addon.xml as described and save
  4. Create a zip from the extracted and edited files
  5. Use your newly created zip to install the skin
Reply
(2021-02-25, 11:55)Jasper_H585 Wrote:
(2021-02-25, 03:31)Punchbuggy Wrote: no idea how to get under the hood to make such an edit.

  1. Download the skin from github to a PC
  2. Extract the zip file
  3. Alter the Addon.xml as described and save
  4. Create a zip from the extracted and edited files
  5. Use your newly created zip to install the skin

Just make sure you don't publish your changes / fork the project as this is strictly prohibited by the license of the skin..

https://github.com/sualfred/skin.embuary...ICENSE.txt
https://creativecommons.org/licenses/by-nc-nd/4.0/

Even if sualfred would be willing to change the license to something more open so others could maintain/help maintain the skin it's a hard task to do as he'd need explicit permission from any of the 9 contributors to do so if he hadn't sign them a contribution agreement beforehand thay reserves hom this right.

(This means you also aren't allowed to submit pull requests if I interpreted the license correctly as it would create a derivate work that's being published / distributed via github).

Quote:Attribution-NonCommercial-NoDerivs
CC BY-NC-ND

This license is the most restrictive of our six main licenses, only allowing others to download your works and share them with others as long as they credit you, but they can’t change them in any way or use them commercially.
Reply
(2021-02-25, 03:31)Punchbuggy Wrote:
(2021-02-24, 09:30)sualfred Wrote: Tempory fix to get this skin running in Matrix is to manually edit the addon.xml and bump the xbmc gui version to 5.15.0. There were no important changes which could affect this skin. Will take care of it as soon as I find time.

Hey, I appreciate your response on this. Great to hear - thanks - and I hope you're able to find the time soon'ish. This was my skin of choice until Matrix, and I run KODI on an NVidia Shield with no idea how to get under the hood to make such an edit.
If you are on Nvidia Shield, you can access the filesystem by following these instructions: https://nvidia.custhelp.com/app/answers/...-with-a-pc
You can find the addon.xml in this folder: [IP-OF-YOUR-SHIELD]\internal\Android\data\org.xbmc.kodi\files\.kodi\addons\skin.embuary-leia

You can simply edit the addon.xml with a text editor in windows and it should work...
Reply
(2021-02-25, 12:38)bberger Wrote: Just make sure you don't publish your changes / fork the project as this is strictly prohibited by the license of the skin..
I just entered the lost, remote, lonely and dark world of add-on creation. Wouldn't dare to put my finger on publishing skins. Wink
Reply
(2021-02-24, 09:30)sualfred Wrote: Tempory fix to get this skin running in Matrix is to manually edit the addon.xml and bump the xbmc gui version to 5.15.0. There were no important changes which could affect this skin. Will take care of it as soon as I find time.

thanks, it's working on kodi 19. only a few details seem to go wrong
Reply
(2021-02-24, 09:30)sualfred Wrote: Tempory fix to get this skin running in Matrix is to manually edit the addon.xml and bump the xbmc gui version to 5.15.0. There were no important changes which could affect this skin. Will take care of it as soon as I find time.

Hi Sualfred, I don't see reference to the xbmc gui version in the addon.xml. Do you mean change this line: <import addon="xbmc.addon" version="12.0.0"/> to version 15.5.0? I guess this is a stupid question. Sorry and thanks, znmex3r
Reply
(2021-02-25, 14:45)hermann_x5 Wrote:
(2021-02-25, 03:31)Punchbuggy Wrote:
(2021-02-24, 09:30)sualfred Wrote: <snip>
If you are on Nvidia Shield, you can access the filesystem by following these instructions: https://nvidia.custhelp.com/app/answers/...-with-a-pc
You can find the addon.xml in this folder: [IP-OF-YOUR-SHIELD]\internal\Android\data\org.xbmc.kodi\files\.kodi\addons\skin.embuary-leia

You can simply edit the addon.xml with a text editor in windows and it should work...

Ah, this is the specific information I was after. Thanks Hermann, and the others who offered more information.
Reply
(2021-02-26, 20:46)znmex3r Wrote:
(2021-02-24, 09:30)sualfred Wrote: Tempory fix to get this skin running in Matrix is to manually edit the addon.xml and bump the xbmc gui version to 5.15.0. There were no important changes which could affect this skin. Will take care of it as soon as I find time.

Hi Sualfred, I don't see reference to the xbmc gui version in the addon.xml. Do you mean change this line: <import addon="xbmc.addon" version="12.0.0"/> to version 15.5.0? I guess this is a stupid question. Sorry and thanks, znmex3r

No, that's not correct. Here is the entire addon.xml (emphasis mine):

<?xml version="1.0" encoding="UTF-8"?>
<addon id="skin.embuary-leia" version="18.8.9" name="Embuary (Leia)" provider-name="sualfred">
    <requires>
        <import addon="xbmc.gui" version="5.15.0"/>
        <import addon="script.embuary.helper" version="1.3.6"/>
        <import addon="script.embuary.info" version="1.2.4"/>
        <import addon="resource.uisounds.embuary" version="0.0.4"/>
        <import addon="plugin.program.autocompletion" version="1.0.1"/>
        <import addon="script.skinshortcuts" version="1.0.17"/>
    </requires>
    <extension point="xbmc.gui.skin" debugging="false">
        <res width="1920" height="1080" aspect="16:9" default="true" folder="xml" />
    </extension>
    <extension point="xbmc.addon.metadata">
        <summary lang="en_GB">Embuary skin by Sualfred</summary>
        <summary lang="de_DE">Embuary Skin von Sualfred</summary>
        <description lang="en_GB">Embuary is based on the web UI of Emby and has been developed for Emby-For-Kodi and EmbyCon users, but will also work for any other common Kodi setup.</description>
        <description lang="de_DE">Embuary ist dem Web UI von Emby nachempfunden und für Emby-For-Kodi und EmbyCon Nutzer entwickelt worden, aber funktioniert auch für alle gängigen Kodi Setups.</description>
        <disclaimer lang="en_GB">No mouse support. With the installation of the skin you agree that you don't use it in combination with blacklisted and illegal Kodi add-ons. I'm not associated with any available build and I won't give any support to blacklisted, banned or illegal third party addons.</disclaimer>
        <disclaimer lang="de_DE">Keine Maus Unterstützung. Mit der Installation des Skins erklärst du dich damit einverstanden keine verbotenen und illegalen Addons von Kodi damit zu benutzen. Ich stehe in keinerlei Verbindung zu verfübaren Builds und gebe keinen Support für diese oder andere illegalen Drittanbieter-Addons.</disclaimer>
        <platform>all</platform>
        <license>CC-BY-NC-ND-4.0</license>
        <forum>https://emby.media/community/index.php?/topic/49724-beta-embuary-the-emby-kodi-skin/</forum>
        <source>https://github.com/sualfred/skin.embuary</source>
        <assets>
            <icon>resources/icon.png</icon>
            <fanart>resources/fanart.jpg</fanart>
            <screenshot>resources/screenshot-01.jpg</screenshot>
            <screenshot>resources/screenshot-02.jpg</screenshot>
            <screenshot>resources/screenshot-03.jpg</screenshot>
            <screenshot>resources/screenshot-04.jpg</screenshot>
            <screenshot>resources/screenshot-05.jpg</screenshot>
            <screenshot>resources/screenshot-06.jpg</screenshot>
            <screenshot>resources/screenshot-07.jpg</screenshot>
            <screenshot>resources/screenshot-08.jpg</screenshot>
            <screenshot>resources/screenshot-09.jpg</screenshot>
            <screenshot>resources/screenshot-10.jpg</screenshot>
        </assets>
    </extension>
</addon>

I don't think you are looking at the right addon.xml file.
Reply
(2021-03-01, 21:33)feerlessleadr Wrote:
(2021-02-26, 20:46)znmex3r Wrote:
(2021-02-24, 09:30)sualfred Wrote: Tempory fix to get this skin running in Matrix is to manually edit the addon.xml and bump the xbmc gui version to 5.15.0. There were no important changes which could affect this skin. Will take care of it as soon as I find time.

Hi Sualfred, I don't see reference to the xbmc gui version in the addon.xml. Do you mean change this line: <import addon="xbmc.addon" version="12.0.0"/> to version 15.5.0? I guess this is a stupid question. Sorry and thanks, znmex3r

No, that's not correct. Here is the entire addon.xml (emphasis mine):

<?xml version="1.0" encoding="UTF-8"?>
<addon id="skin.embuary-leia" version="18.8.9" name="Embuary (Leia)" provider-name="sualfred">
    <requires>
        <import addon="xbmc.gui" version="5.15.0"/>
        <import addon="script.embuary.helper" version="1.3.6"/>
        <import addon="script.embuary.info" version="1.2.4"/>
        <import addon="resource.uisounds.embuary" version="0.0.4"/>
        <import addon="plugin.program.autocompletion" version="1.0.1"/>
        <import addon="script.skinshortcuts" version="1.0.17"/>
    </requires>
    <extension point="xbmc.gui.skin" debugging="false">
        <res width="1920" height="1080" aspect="16:9" default="true" folder="xml" />
    </extension>
    <extension point="xbmc.addon.metadata">
        <summary lang="en_GB">Embuary skin by Sualfred</summary>
        <summary lang="de_DE">Embuary Skin von Sualfred</summary>
        <description lang="en_GB">Embuary is based on the web UI of Emby and has been developed for Emby-For-Kodi and EmbyCon users, but will also work for any other common Kodi setup.</description>
        <description lang="de_DE">Embuary ist dem Web UI von Emby nachempfunden und für Emby-For-Kodi und EmbyCon Nutzer entwickelt worden, aber funktioniert auch für alle gängigen Kodi Setups.</description>
        <disclaimer lang="en_GB">No mouse support. With the installation of the skin you agree that you don't use it in combination with blacklisted and illegal Kodi add-ons. I'm not associated with any available build and I won't give any support to blacklisted, banned or illegal third party addons.</disclaimer>
        <disclaimer lang="de_DE">Keine Maus Unterstützung. Mit der Installation des Skins erklärst du dich damit einverstanden keine verbotenen und illegalen Addons von Kodi damit zu benutzen. Ich stehe in keinerlei Verbindung zu verfübaren Builds und gebe keinen Support für diese oder andere illegalen Drittanbieter-Addons.</disclaimer>
        <platform>all</platform>
        <license>CC-BY-NC-ND-4.0</license>
        <forum>https://emby.media/community/index.php?/topic/49724-beta-embuary-the-emby-kodi-skin/</forum>
        <source>https://github.com/sualfred/skin.embuary</source>
        <assets>
            <icon>resources/icon.png</icon>
            <fanart>resources/fanart.jpg</fanart>
            <screenshot>resources/screenshot-01.jpg</screenshot>
            <screenshot>resources/screenshot-02.jpg</screenshot>
            <screenshot>resources/screenshot-03.jpg</screenshot>
            <screenshot>resources/screenshot-04.jpg</screenshot>
            <screenshot>resources/screenshot-05.jpg</screenshot>
            <screenshot>resources/screenshot-06.jpg</screenshot>
            <screenshot>resources/screenshot-07.jpg</screenshot>
            <screenshot>resources/screenshot-08.jpg</screenshot>
            <screenshot>resources/screenshot-09.jpg</screenshot>
            <screenshot>resources/screenshot-10.jpg</screenshot>
        </assets>
    </extension>
</addon>

I don't think you are looking at the right addon.xml file.
Thanks. I found the right addon.xml and I managed to get it to install okay. Unfortunately when I went to adopt the skin, I got the message 'Unable to load the skin. Skin is missing some files.'

I will wait until you have had a chance to update a legit version. Thanks for the great looking skin!
Reply
  •   
  • 1
  • 123
  • 124
  • 125(current)
  • 126
  • 127
  • 129
  •   



Logout Mark Read Team Forum Stats Members Help
Embuary Skin20
This forum uses Lukasz Tkacz MyBB addons.